Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.gen.ext
Class GenerateTextHandler

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.core.commands.AbstractHandler
              org.eclipse.amp.amf.gen.ide.ResourceHandler
                  org.eclipse.amp.amf.gen.ide.ResourceJobHandler
                      org.eclipse.amp.amf.gen.ext.GenerateTextHandler

All Implemented Interfaces:
  org.eclipse.core.commands.IHandler, org.eclipse.core.commands.IHandler2

    public class GenerateTextHandler

extends ResourceJobHandler

Field Summary
`protected java.lang.ClassLoader` | `delegateLoader`
`protected java.lang.ClassLoader` | `mainLoader`

Constructor Summary
`GenerateTextHandler()`

Method Summary
`void` | `execute(org.eclipse.core.resources.IResource resource)` Override with desired execution behavior.

Methods inherited from class org.eclipse.amp.amf.gen.ide.ResourceJobHandler
`executeHandler`

Methods inherited from class org.eclipse.amp.amf.gen.ide.ResourceHandler
`execute, execute, getMonitor, setMonitor`

Methods inherited from class org.eclipse.core.commands.AbstractHandler
`addHandlerListener, dispose, fireHandlerChanged, hasListeners, isEnabled, isHandled, removeHandlerListener, setBaseEnabled, setEnabled`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mainLoader

    protected java.lang.ClassLoader mainLoader

### delegateLoader

    protected java.lang.ClassLoader delegateLoader

Constructor Detail

### GenerateTextHandler

    public GenerateTextHandler()

Method Detail

### execute

    public void execute(org.eclipse.core.resources.IResource resource)
                 throws org.eclipse.core.commands.ExecutionException

  Description copied from class: `ResourceHandler`
  Override with desired execution behavior.

  Overrides:
    `execute` in class `ResourceHandler`
  Throws:
    `org.eclipse.core.commands.ExecutionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD